#
# spec file for package aws-vpc-move-ip
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aws-vpc-move-ip
Version:        0.2.20171113
Release:        lp150.1.3
Summary:        Resource agent for implementing floating IP in AWS VPC
License:        GPL-2.0
Group:          Productivity/Clustering/HA
Url:            http://www.suse.com
Source0:        aws-vpc-move-ip
Source1:        ofc_suse_aws-vpc-move-ip.8
Requires:       pacemaker > 1.1.1
Requires:       resource-agents
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The resource agent emulates a floating private IP address for an EC2 instance running in a VPC.

%prep
%setup -q -n %{name} -c -T

%build
:

%install
mkdir -p %{buildroot}%{_libexecdir}/ocf/resource.d/suse/
install -m 0755 %{SOURCE0} %{buildroot}%{_libexecdir}/ocf/resource.d/suse/
mkdir -p %{buildroot}%{_mandir}/man8/
install -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man8/

%files
%defattr(-,root,root)
%dir %{_libexecdir}/ocf/
%dir %{_libexecdir}/ocf/resource.d/
%dir %{_libexecdir}/ocf/resource.d/suse
%{_libexecdir}/ocf/resource.d/suse/aws-vpc-move-ip
%{_mandir}/man8/ofc_suse_aws-vpc-move-ip.8%{ext_man}

%changelog
* Mon Nov 13 2017 kgronlund@suse.com
- Update to version from resource-agents#ac94d575 (bsc#1059165)
  * Monitoring via AWS API call can be turned on/off
  * New parameter monapi (bool – true/false) enables
    or disables Enhanced monitoring using AWS API
    call to check route table content
  * ocf_log / debugger: only relevant output for
    each level is sent to log
  * now correctly checks return code of “ip addr delete” (bsc#1053193)
* Thu Jun 30 2016 tchvatal@suse.com
- Do not compress the manpage manualy, the rpm does it for us
* Tue Feb  2 2016 hguo@suse.com
- Catch up with the latest progress from upstream repository and
  Introduce manual page ofc_suse_aws-vpc-move-ip.8
  Implements fate#319009
* Fri Oct  2 2015 ro@suse.de
- created package, version 0.1
